import request from '@/utils/request'

// 查询能源电力-涉电领域行政处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmEnergyElectricityPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询能源电力-涉电领域行政处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmEnergyElectricityPenalty/' + id,
        method: 'get'
    })
}

// 新增能源电力-涉电领域行政处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmEnergyElectricityPenalty',
        method: 'post',
        data: data
    })
}

// 修改能源电力-涉电领域行政处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmEnergyElectricityPenalty',
        method: 'put',
        data: data
    })
}

// 删除能源电力-涉电领域行政处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmEnergyElectricityPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmEnergyElectricityPenalty/delete',ids)
}